<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "idp_feed".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "IdpFeed".
 *
 * Columns in table "idp_feed" available as properties of the model,
 * followed by relations of table "idp_feed" available as properties of the model.
 *
 * @property integer $id
 * @property integer $idp_provision_id
 * @property string $verb
 * @property string $request
 * @property string $date_added
 *
 * @property IdpProvision $idpProvision
 */
abstract class BaseIdpFeed extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'idp_feed';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'IdpFeed|IdpFeeds', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('idp_provision_id, date_added', 'required'),
            array('idp_provision_id', 'numerical', 'integerOnly'=>true),
            array('verb', 'length', 'max'=>10),
            array('request', 'safe'),
            array('verb, request', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, idp_provision_id, verb, request, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'idpProvision' => array(self::BELONGS_TO, 'IdpProvision', 'idp_provision_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'idp_provision_id' => null,
            'verb' => Yii::t('app', 'Verb'),
            'request' => Yii::t('app', 'Request'),
            'date_added' => Yii::t('app', 'Date Added'),
            'idpProvision' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('idp_provision_id', $this->idp_provision_id);
        $criteria->compare('verb', $this->verb, true);
        $criteria->compare('request', $this->request, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
